Subject: Re: [GSoC] Week 1: Unification of 'for-each-ref', 'tag -l' and 'branch -l'

From: Karthik Nayak <[email-masked]>
Date: Wed, 03 Jun 2015 22:12:02 +0530

On 06/03/2015 09:38 PM, Matthieu Moy wrote:
> Karthik Nayak <[email-masked]> writes:
>
>> Matthieu Moy suggested that I work on the unification of these
>> commands let both the implementations stay where the user can select
>> the implementation to be used
>
> Just to be clear: my advice is the above with "user" = "caller of the
> API", not "human being using Git". In other words, "git branch
> --contains" and "git tag --contains" would still be using two different
> algorithms, but the user wouldn't notice (except for performance).
>

Thanks for clearing that out, I should have said "caller of the API."

-- 
Regards,
Karthik